Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
7 Views

Older Compilers on the command line can't find...

Hi folks;

Trying to build a simple console app from the command line {using version Intel C++ compiler 10.0.025}
since i only have visual C++ Express 2008.

I need to make some changes in some bat or config or whatever files to
get this whole thing working.
Please tell me what to do to what file...

There used to be a good writeup on this somewhere,
but i can't find it {after many hours searching}

Here is the error i get:

C:\Users\WHMoweryJr\Documents\DeepLearninToga 1.9\DeepLearninToga 1.9.10\src\uti
l.h(9): catastrophic error: could not open source file "cstdio"
#include
^

here is the iclvars.bat file:

@echo off
Rem Intel C++ Compiler for applications running IA-32

echo.
echo Intel C++ Compiler for applications running IA-32, Version 10.0.025
echo Copyright (C) 1985-2007 Intel Corporation. All rights reserved.
echo.

REM @call "\Bin\Vcvars32.bat"
echo Unable to find Microsoft Visual C++ 6.0 or better.
echo Intel C++ Compiler for applications running IA-32 will not function properly.
title Intel C++ Compiler for applications running IA-32, Version 10.0.025

echo.

SET ICPP_COMPILER10=C:\Program Files (x86)\Intel\Compiler\C++\10.0.025\

SET INTEL_SHARED=C:\Program Files (x86)\Common Files\Intel\Shared Files

SET INTEL_LICENSE_FILE=C:\Program Files (x86)\Common Files\Intel\Licenses

SET PATH=%ICPP_COMPILER10%\Ia32\Bin;%INTEL_SHARED%\Ia32\Bin;%PATH%

SET LIB=%ICPP_COMPILER10%\Ia32\Lib;%LIB%

SET INCLUDE=%ICPP_COMPILER10%\Ia32\Include;%INCLUDE%



0 Kudos
2 Replies
Highlighted
New Contributor I
7 Views

Hi folks;

Trying to build a simple console app from the command line {using version Intel C++ compiler 10.0.025}
since i only have visual C++ Express 2008.

I need to make some changes in some bat or config or whatever files to
get this whole thing working.
Please tell me what to do to what file...

There used to be a good writeup on this somewhere,
but i can't find it {after many hours searching}

Here is the error i get:

C:UsersWHMoweryJrDocumentsDeepLearninToga 1.9DeepLearninToga 1.9.10srcuti
l.h(9): catastrophic error: could not open source file "cstdio"
#include
^

here is the iclvars.bat file:

@echo off
Rem Intel C++ Compiler for applications running IA-32

echo.
echo Intel C++ Compiler for applications running IA-32, Version 10.0.025
echo Copyright (C) 1985-2007 Intel Corporation. All rights reserved.
echo.

REM @call "BinVcvars32.bat"
echo Unable to find Microsoft Visual C++ 6.0 or better.
echo Intel C++ Compiler for applications running IA-32 will not function properly.
title Intel C++ Compiler for applications running IA-32, Version 10.0.025

echo.

SET ICPP_COMPILER10=C:Program Files (x86)IntelCompilerC++10.0.025

SET INTEL_SHARED=C:Program Files (x86)Common FilesIntelShared Files

SET INTEL_LICENSE_FILE=C:Program Files (x86)Common FilesIntelLicenses

SET PATH=%ICPP_COMPILER10%Ia32Bin;%INTEL_SHARED%Ia32Bin;%PATH%

SET LIB=%ICPP_COMPILER10%Ia32Lib;%LIB%

SET INCLUDE=%ICPP_COMPILER10%Ia32Include;%INCLUDE%




Hi

My O/S is WINDOWS7


Microsoft Visual Studio 2008
Version 9.0.21022.8 RTM
Microsoft .NET Framework
Version 3.5 SP1

dition installe : VC Express

C:Windowssystem32>icl without_money.cc
Intel C Compiler Professional for applications running on IA-32, Version 11
.0 Build 20080930 Package ID: w_cproc_p_11.0.061
Copyright (C) 1985-2008 Intel Corporation. All rights reserved.

Error: A license for CCompW could not be obtained.

Your license has expired.

License file(s) used were (in this order):
1. Trusted Storage
2. C:Program FilesCommon FilesIntelLicenses*.lic
3. F:PROGRA~1IntelCompiler11.0�61cppBinia32*.lic

Please visit http://www.intel.com/software/products to obtain license renewal in
formation.

icl: error #10052: could not checkout FLEXlm license

I have make sample "hello world " before time evaluation expired and is working well ... (shell command line)
Now same you can see i have "hello give your money ..."

Use 11.0�61 probablywould be work correctly.
Best regards


0 Kudos
Highlighted
Employee
7 Views

Intel C++ compiler 10.0.025 may be used only with VS expresess edition 2005.

The latest vesrion of Intel C++ compiler 11.x supports both VS2005express edition and VS2008 express edition.
0 Kudos